/*
Theme Name: Vesta
Theme URI: http://arcxx.ir/portfolio/vesta
Author: Farhad Navayazdan (Arcxx)
Author URI: http://arcxx.ir
Description: Simple Blogging Theme for wordpress
Version: 1.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Tags: white, simple, blog, gnu
Text Domain: vesta

This theme, like WordPress, is licensed under the GPL.
Use it to make something cool, have fun, and share what you've learned with others.
*/

body, html {
    padding: 0;
    margin: 0;
}

a {
    text-decoration: none;
    color: #24aa9f;
}

a:hover {
    color: #ff427c;
}

blockquote {
    display: block;
    background: #f8f8f8;
    -webkit-border-radius: 0.4rem;
    -moz-border-radius: 0.4rem;
    -ms-border-radius: 0.4rem;
    border-radius: 0.4rem;
    padding: 2rem 3rem 1rem 1.5rem;
    margin: 1rem 1rem 1rem 0;
    border-left: 0.2rem solid #5E9CA3;
    border-right: 0.4rem solid #5E9CA3;
    position: relative;
    font-size: 110%;
}

blockquote::before {
    content: "\201C";
    font-size: 4rem;
    color: #5E9CA3;
    line-height: 1;
    font-weight: bold;
    position: absolute;
    right: 1rem;
    top: 1rem;
}

.container {
    max-width: 45rem;
    margin: 0 auto;
    padding: 1rem;
}

.divider {
    text-align: center;
    font-size: 1.4rem;
    color: #555;
    line-height: .3;
    border-bottom: 2px solid #efefef;
    margin: 1rem 0 1rem 0;
}


.entry-content ul{
    padding:1rem 2rem;
}
.divider span {
    background: #fff;
    padding: 0 2rem;
}

article img {
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -ms-border-radius: 4px;
    border-radius: 4px;
    max-width: 100%;
    height: auto;
}

.aligncenter {
    display: block;
    margin: auto;
}

.alignleft {
    float: left;
}

.alignright {
    float: right;
}

.wp-caption {
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -ms-border-radius: 4px;
    border-radius: 4px;
    background: #f4f4f4;
}

.wp-caption img {
    width: 100%;
}

.wp-caption .wp-caption-text {
    margin: 0 auto;
    padding-bottom: .3rem;
    text-align: center;
    color: #666;
}

@media all and (max-width: 47rem) {
    html, body {
        font-size: 110%;
    }
}

.header #nav-wrapper {
    background: #f9f9f9;
    border-bottom: 1px solid #eee;
    border-top: 1px solid #eee;
    /*border-top: 3px solid #1D8E9B;*/
}

.header #nav-wrapper .container {
    padding: .5rem 0;
}

.header #nav-wrapper nav {
    text-align: center;
}

.header #nav-wrapper nav ul {
    display: inline-block;
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.header #nav-wrapper nav ul li {
    display: inline;
    padding: 0.5rem;
    font-size: 1rem;
}

.header #blog-title {
    background: #fafafa;

    text-align: center;
    padding: 2rem 0 2rem 0;
}

.header #blog-title h1, .header #blog-title h2 {
    padding: 0;
    margin: 0;
}

.header #blog-title h1 {
    display: inline-block;
    font-size: 1.4rem;
    font-weight: normal;
    padding-bottom: .8rem;
}

.header #blog-title h2 {
    color: #aaa;
    font-size: 1.2rem;
}

.date {
    width: 4rem;
    display: inline-block;
}

.date-year-divider {
    text-align: center;
    font-size: 1.4rem;
    color: #555;
    line-height: .3;
    border-bottom: 2px solid #efefef;
    margin: 3rem 0 1rem 0;
}

.date-year-divider span {
    background: #fff;
    padding: 0 2rem;
}

.date-year-divider-first {
    border-bottom: none;
}

.date-year {
    display: block;
    font-size: 1.5rem;
    font-weight: bold;
    color: #444;
}

.date-month-day {
    color: #999;
    display: inline-block;
    font-size: 1.1rem;
}

.archive__post-title {
    display: inline;
    margin: 0;
    font-weight: normal;
    font-size: 1.1rem;
}

.archive-comment-count {
    display: inline-block;
    font-size: .7rem;
    vertical-align: middle;
    color: #fff;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    border-radius: 10px;
    padding: 0.15rem .4rem;
    font-weight: 700;
    line-height: 1;
    text-align: center;
    background-color: #888;
}

.meta-tag-title {
    color: #fff;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -ms-border-radius: 4px;
    border-radius: 4px;
    font-size: .7rem;
    padding: 0 .4rem;
}

#footer {
    text-align: center;
    padding: 1rem 0;
}

#footer #cloud-tags {
    margin: auto;
}

#footer #cloud-tags .tag-cloud-link {
    display: inline-block;
    background: #f3f3f3;
    font-size: .7rem;
    padding: 0 .4rem;
    -webkit-border-radius: 0.3rem;
    -moz-border-radius: 0.3rem;
    -ms-border-radius: 0.3rem;
    border-radius: 0.3rem;
    cursor: pointer;
    margin: .1rem .2rem;
}

#footer #cloud-tags .tag-cloud-link:hover {
    background: #eee;
}

#footer #copyright {
    font-size: .8rem;
}

.post-date-divider {
    text-align: center;
    font-size: .9rem;
    color: #555;
    line-height: .3;
    border-bottom: 2px solid #efefef;
    margin: 3rem 0 1rem 0;
}

.post-date-divider span {
    background: #fff;
    padding: 0 2rem;
}

@media all and (max-width: 560px) {
    .post-date-divider {
        font-size: .8rem;
        margin: 3rem 0 1rem 0;
    }

    .post-date-divider span {
        padding: 0 1rem;
    }
}

article {
    color: #333;
}

article .post-title {
    font-size: 2rem;
    padding: 2rem 0 0 0;
}

article .comments-number {
    color: #555;
    font-size: .9rem;
}

.post-tag {
    background: #f7f7f7;
    font-size: .7rem;
    padding: 0 .4rem;
    -webkit-border-radius: 0.3rem;
    -moz-border-radius: 0.3rem;
    -ms-border-radius: 0.3rem;
    border-radius: 0.3rem;
    cursor: pointer;
    margin: .3rem;
}

.post-tag:hover {
    background: #eee;
}

pre {
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.85);
    -webkit-border-radius: 0.2rem;
    -moz-border-radius: 0.2rem;
    -ms-border-radius: 0.2rem;
    border-radius: 0.2rem;
    color: #28fe14;
    padding: .5rem;
    font-family: monospace;
    text-align: left;
    direction: ltr;
}

article {
    color: #333;
}

article .post-title {
    font-size: 2rem;
}

article .comments-number {
    color: #555;
    font-size: .9rem;
}

#comments {
    margin-top: 2em;
}

#comments ol {
    list-style: none;
}

#comments ol li {
    border-top: 1px solid #efefef;
    padding: 1rem 0;
}

#comments ol li .comment-author {
    display: flex;
}

#comments ol li .comment-author img {
    -webkit-border-radius: 100%;
    -moz-border-radius: 100%;
    -ms-border-radius: 100%;
    border-radius: 100%;
}

#comments ol li .comment-author cite {
    display: inline-block;
    margin: .3rem .5rem 0 0;
    font-size: .9rem;
}

#comments ol li .comment-author .says {
    display: none;
}

#comments ol li .comment-meta {
    display: none;
}

#comments ol li p {
    font-size: .9rem;
}

#comments ol li .reply {
    margin-bottom: .5rem;
    text-align: left;
}

#comments ol li .reply a {
    background: #5b5;
    padding: 0 .4rem;
    font-size: .8rem;
    color: #fff;
    -webkit-border-radius: 0.2rem;
    -moz-border-radius: 0.2rem;
    -ms-border-radius: 0.2rem;
    border-radius: 0.2rem;
}

#comments ol li .comment-awaiting-moderation {
    background-color: #777;
    color: #fff;
    -webkit-border-radius: 0.2rem;
    -moz-border-radius: 0.2rem;
    -ms-border-radius: 0.2rem;
    border-radius: 0.2rem;
    padding: 0 .3rem;
    font-size: .7rem;
}

#comments .bypostauthor .fn::after {
    content: 'author';
    display: inline-block;
    margin: 0 .5rem;
    background: #156770;
    font-size: .5rem;
    color: #fff;
    -webkit-border-radius: 0.1rem;
    -moz-border-radius: 0.1rem;
    -ms-border-radius: 0.1rem;
    border-radius: 0.1rem;
    padding: 0 .2rem;
}

#comments .comment-notes {
    display: none;
}

#comments .comment-form-author, #comments .comment-form-email, #comments .comment-form-url {
    display: inline;
}

#comments #respond {
    text-align: center;
}

#comments #respond input, #comments #respond textarea {
    margin: 0;
    padding: 0.6em 2%;
    border: 1px solid #eee;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    -ms-border-radius: 4px;
    border-radius: 4px;
}

#comments #respond textarea {
    display: block;
    margin: 1em auto;
    width: 94%;
    font-size: 1em;
    resize: vertical;
}

#comments #respond input {
    width: 26.5%;
}

#comments #respond input[name=author] {
    margin-left: 2.5%;
}

#comments #respond input[name=email], #comments #respond input[name=url] {
    direction: ltr;
    text-align: left;
}

#comments #respond input[name=url] {
    margin-right: 2.5%;
}

#comments #respond input[name=submit] {
    background-color: #5b5;
    border: none;
    width: 99%;
    color: #fff;
    cursor: pointer;
    font-weight: 700;
}

#comments #respond input[name=submit]:hover {
    background-color: #5a5;
}

@media all and (max-width: 440px) {
    #comments #commentform input {
        display: block;
        margin: 1rem 0 !important;
        width: 94%;
        font-size: 1em;
        resize: vertical;
    }
}


* {
    border: 0;
    margin: 0;
    padding: 0;
}

html {
    height: 100%;
}

body {
    height: inherit;
    display: flex;
    flex-direction: column;
    font-family: 'Fira Sans', sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    color: #79838c;
}



div.container {
    display: flex;
    flex: auto;
    flex-direction: column;
    max-height: 100%;
}

div.header {
    height: auto;
    text-align: center;
    background: slategrey;
    color: ghostwhite;
    padding: 2.3rem 1rem 2.3rem 1rem;
    position: relative;
}

div.header:after {
    content: '';
    position: absolute;
    bottom: -5rem;
    left: 0rem;
    height: 5.1rem;
    display: block;
    width: 100%;
    z-index: 300;
    background: -moz-linear-gradient(top, white 20%, rgba(255, 255, 255, 0) 100%);
    /* FF3.6-15 */
    background: -webkit-linear-gradient(top, white 20%, rgba(255, 255, 255, 0) 100%);
    /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom, white 20%, rgba(255, 255, 255, 0) 100%);
    /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffff', endColorstr='#00ffffff', GradientType=0);
    /* IE6-9 */
}

div.header h1 {
    margin-top: .8rem;
    margin-bottom: .5rem;
    font-weight: 200;
    font-size: 1.6em;
    letter-spacing: 0.1rem;
    text-transform: uppercase;
}

@media (min-width: 62em) {
    div.header h1 {
        font-size: 1.9em;
        letter-spacing: 0.2rem;
    }
}

div.header h2 {
    font-size: 1.1em;
    font-weight: 400;
    color: #cfd7de;
    max-width: 30rem;
    margin: auto;
}

div.item {
    display: flex;
    flex: auto;
    overflow-y: auto;
    padding: 0rem 1rem 0rem 1rem;
}

#timeline {
    position: relative;
    display: table;
    height: 100%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 5rem;
}

#timeline div:after {
    content: '';
    width: 2px;
    position: absolute;
    top: .5rem;
    bottom: 0rem;
    left: 60px;
    z-index: 1;
    background: #C5C5C5;
}

#timeline h3 {
    position: -webkit-sticky;
    position: sticky;
    top: 5rem;
    color: #888;
    margin: 0;
    font-size: 1em;
    font-weight: 400;
}

@media (min-width: 62em) {
    #timeline h3 {
        font-size: 1.1em;
    }
}

#timeline section.year {
    position: relative;
}

#timeline section.year:first-child section {
    margin-top: -1.3em;
    padding-bottom: 0px;
}

#timeline section.year section {
    position: relative;
    padding-bottom: 1.25em;
    margin-bottom: 2.2em;
}

#timeline section.year section h4 {
    position: absolute;
    bottom: 0;
    font-size: .9em;
    font-weight: 400;
    line-height: 1.2em;
    margin: 0;
    padding: 0 0 0 89px;
    color: #C5C5C5;
}

@media (min-width: 62em) {
    #timeline section.year section h4 {
        font-size: 1em;
    }
}

#timeline section.year section ul {
    list-style-type: none;
    padding: 0 0 0 75px;
    margin: -1.35rem 0 1em;
    max-width: 32rem;
    font-size: 1em;
}

@media (min-width: 62em) {
    #timeline section.year section ul {
        font-size: 1.1em;
        padding: 0 0 0 81px;
    }
}

#timeline section.year section ul:last-child {
    margin-bottom: 0;
}

#timeline section.year section ul:first-of-type:after {
    content: '';
    width: 10px;
    height: 10px;
    background: #C5C5C5;
    border: 2px solid #FFFFFF;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    border-radius: 50%;
    position: absolute;
    left: 54px;
    top: 3px;
    z-index: 2;
}

#timeline section.year section ul li {
    margin-left: .5rem;
}

#timeline section.year section ul li:before {
    
    margin-left: -.5rem;
    padding-right: .3rem;
}

#timeline section.year section ul li:not(:first-child) {
    margin-top: .4rem;
}

#timeline section.year section ul li span.price {
    color: mediumturquoise;
    font-weight: 500;
}

.text-center {
    text-align: center;
}


